Subject: Re: [PATCH] lib: objagg: Use flexible arrays for object storage

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 May 2026 08:43:07 -0700

On Mon, 18 May 2026 18:58:33 -0700 Rosen Penev wrote:
> Store object payloads and temporary graph nodes in their parent
> allocations instead of open-coding trailing storage or allocating the
> node array separately.
> 
> Use byte-sized flexible arrays for object payloads so kzalloc_flex() is
> passed the same byte count as the previous allocation sizes.

Nobody acked this and I think it's pointless code churn so rejected.
Please be mindful of reviewer time when you send patches.